Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QVButtonGroup Class Reference

The QVButtonGroup widget organizes QButton widgets in a vertical column. More...

`#include <qvbuttongroup.h>`

Inherits QButtonGroup.

List of all member functions.

## Public Members

- QVButtonGroup ( QWidget * parent = 0, const char * name = 0 )
- QVButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )
- ~QVButtonGroup ()

## Detailed Description

The QVButtonGroup widget organizes QButton widgets in a vertical column.

QVButtonGroup is a convenience class that offers a thin layer on top of QButtonGroup. Think of it as a QVBox that offers a frame with a title and is specifically designed for buttons.

See also QHButtonGroup, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### QVButtonGroup::QVButtonGroup ( QWidget * parent = 0, const char * name = 0 )

Constructs a vertical button group with no title.

The parent and name arguments are passed on to the QWidget constructor.

### QVButtonGroup::QVButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )

Constructs a vertical button group with the title title.

The parent and name arguments are passed on to the QWidget constructor.

### QVButtonGroup::~QVButtonGroup ()

Destroys the vertical button group, deleting its child widgets.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.